package com.telpo.dipperposition;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * @program: gateway
 * @description: 网关启动类
 * @author: linwl
 * @create: 2020-06-18 16:39
 */
@SpringBootApplication
@EnableConfigurationProperties
@EnableDiscoveryClient
@Slf4j
public class DipperPositionApplication {

  public static void main(String[] args) {
    log.info("北斗定位服务开始!");
    SpringApplication.run(DipperPositionApplication.class, args);
    log.info("北斗定位服务启动!");
  }
}
