package com.telpo.dipperposition.config;

import com.alibaba.nacos.api.NacosFactory;
import com.alibaba.nacos.api.PropertyKeyConst;
import com.alibaba.nacos.api.config.ConfigService;
import com.telpo.dipperposition.co.RzlAccount;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Lazy;
import org.springframework.context.annotation.Scope;

import java.util.Properties;

/**
 * @program: gateway
 * @description: jwt设置
 * @author: linwl
 * @create: 2020-06-18 17:45
 */
@Lazy
@Getter
@Setter
@ToString
@Configuration
public class PositionConfig {
  @Value(value = "${position.hello}")
  private String hello;

  @Value(value = "${spring.application.name}")
  private String name;

  PositionConfig()
  {
  }

  private static PositionConfig instance;
  public static PositionConfig getInstance(){
    if (instance==null){
      try {
        Thread.sleep(100);
      } catch (InterruptedException e) {
        e.printStackTrace();
      }
      instance = new PositionConfig();
    }
    return instance;
  }
}
